## st-theme st-theme — a set of stylesheets |

## Functions

StTheme * | st_theme_new ()
gboolean | st_theme_load_stylesheet ()
void | st_theme_unload_stylesheet ()
GSList * | st_theme_get_custom_stylesheets ()

## Properties

GFile * | application-stylesheet | Read / Write / Construct Only
GFile * | default-stylesheet | Read / Write / Construct Only
GFile * | theme-stylesheet | Read / Write / Construct Only

## Signals

void | custom-stylesheets-changed | Run Last

## Types and Values

#define | ST_TYPE_THEME
| StTheme

## Object Hierarchy

        GObject
        ╰── StTheme

## Description

StTheme holds a set of stylesheets. (The "cascade" of the name Cascading Stylesheets.) A StTheme can be set to apply to all the actors in a stage using `st_theme_context_set_theme()` or applied to a subtree of actors using `st_widget_set_theme()`.

## Functions

### st_theme_new ()

    StTheme *
    st_theme_new (GFile *application_stylesheet,
                  GFile *theme_stylesheet,
                  GFile *default_stylesheet);

#### Parameters

application_stylesheet | The highest priority stylesheet, representing application-specific styling; this is associated with the CSS "author" stylesheet, may be `NULL` |
theme_stylesheet | The second priority stylesheet, representing theme-specific styling ; this is associated with the CSS "user" stylesheet, may be `NULL` |
default_stylesheet | The lowest priority stylesheet, representing global default styling; this is associated with the CSS "user agent" stylesheet, may be `NULL` |

#### Returns

the newly created theme object

### st_theme_load_stylesheet ()

    gboolean
    st_theme_load_stylesheet (StTheme *theme,
                              GFile *file,
                              GError **error);

### st_theme_unload_stylesheet ()

    void
    st_theme_unload_stylesheet (StTheme *theme,
                                GFile *file);

### st_theme_get_custom_stylesheets ()

    GSList *
    st_theme_get_custom_stylesheets (StTheme *theme);

#### Parameters

theme | an StTheme |

#### Returns

the list of stylesheet files that were loaded with `st_theme_load_stylesheet()`.

[transfer full][element-type GFile]

## Types and Values

### ST_TYPE_THEME

    #define ST_TYPE_THEME              (st_theme_get_type ())

### StTheme

    typedef struct _StTheme StTheme;

## Property Details

### The `“application-stylesheet”` property

      “application-stylesheet”   GFile *

The highest priority stylesheet, representing application-specific styling; this is associated with the CSS "author" stylesheet.

Flags: Read / Write / Construct Only

### The `“default-stylesheet”` property

      “default-stylesheet”       GFile *

The lowest priority stylesheet, representing global default styling; this is associated with the CSS "user agent" stylesheet.

Flags: Read / Write / Construct Only

### The `“theme-stylesheet”` property

      “theme-stylesheet”         GFile *

The second priority stylesheet, representing theme-specific styling; this is associated with the CSS "user" stylesheet.

Flags: Read / Write / Construct Only

## Signal Details

### The `“custom-stylesheets-changed”` signal

    void
    user_function (StTheme *sttheme,
                   gpointer user_data)

Flags: Run Last